<?
include("conexion/conexion.php");
include("trabajo/prueba.php");
//echo "ha dado click en boton 1";
	 // INICIO DE LA CLASE PARA CARGAR EL ARCHIVO //
	 class nuevoPrueba {
	 
	 // PROPIEDADES
	 var $pruebaObj;
	 var $conexionObj;
	 var $estado;

	// CONFIGURADORES
	function setPrueba($doc){
			$this->pruebaObj=new prueba();
			$this->pruebaObj->setGuia($guia);
	}//END FUNCION SET

	function getPrueba(){
		return $this->pruebaObj;
	}//END FUNCION GET

	// OPERACION DE NEGOCIO
	function validar(){
		$this->conexionObj = new conexion();
		$this->conexionObj->conectarse();
		$rst=$this->conexionObj->consultar("SELECT * FROM `tablas_digitalizacion` ORDER BY id DESC");
		$numero=rand(2,99);
		$tabla_1="temporal".$numero."".date('H')."".date('i')."".date('s');
		//$this->insertarDatos($tabla_1);
		if(mysql_num_rows($rst)>=1){
		  $this->insertarDatos($tabla_1);
        }
		else{

			$this->insertarDatos($tabla_1);
		   }
	}//END FUNCION VALIDAR

function insertarDatos($tabla_1){
//echo "entro insertar";//$fn1=$_POST['fn'];
$sep=';';
$nombre=$_FILES['txt']['name'];
$tipo=$_FILES['txt']['type'];
$tam=$_FILES['txt']['size'];
$temp= $_FILES['txt']['tmp_name'];
if($nombre==''){
		$id_user=$_GET['id_user'];
		$msgBOX = "No Selecciono un Archivo.";
	  		  echo "<script>
	          alert('$msgBOX');
			  setTimeout(location.href='cargar_archivo.php?id_user=$id_user', 100);
	  		  </script>";
}
$nombret = "/AppServ/www/backup_intranet/".$nombre;

		   if (move_uploaded_file($temp, $nombret)){
	       //@copy($_FILES['txt']['name'], $_FILES['txt']['tmp_name']);
		   }else{
			    echo "No se subio el archivo";
		    }
	$lines = file($nombre);
	$i=0;
	foreach ($lines as $line_num => $line) {
	$value_str=strstr($line,$sep);
	if($value_str==''){
		//echo "Separador Automatico";
		$sep=',';
		$value_str=strstr($line,$sep);
		if($value_str==''){
			  $id_user=$_GET['id_user'];
			  $msgBOX = "Verifique Separador.";
	  		  echo "<script>
	          setTimeout(location.href='cargar_archivo.php?id_user=$id_user', 100);
	          alert('$msgBOX');
	  		  </script>";		
		}else{
			$sep2=$sep;
		}
	}else{
		$sep2=$sep;
		//echo "Separador Actual";
	}
	
	$datos = explode($sep2, $line);
	$num=0;
	$est=0;
	
	if($i>0){
	
	   $insertar='';
	 	  for ($j=0;$j<count($datos);$j++) {
	 	    
			if($j==0){
	 	    $insertar.="'".trim($datos[$j])."'";
	 	    //$campo_Eliminacion=trim($array_campos[$i]);
	        }else
	         $insertar.=",'".trim($datos[$j])."'";
	      }
	 	  $rst=$this->conexionObj->modificar("insert into $tabla_1 values(".$insertar.")");
		  $cont_insert=$cont_insert+1;	
	}else{
	 	  
		  for ($j=0;$j<count($datos);$j++) {
	 	    
			if($j==0){
	 	    $valor.="".trim($datos[$j])." VARCHAR(200)";
	 	    //$campo_Eliminacion=trim($array_campos[$i]);
	 	    }else
	         $valor.=",".trim($datos[$j])." VARCHAR(200)";
	 	  }
	      $rst_crear_tabla=$this->conexionObj->consultar("CREATE TABLE ".$tabla_1." ($valor) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;");
	}
	
	$i=$i+1;
	
	}
	//unlink($nombre);
	$i--;
		echo "<center>";
		echo "<br>";
		echo "<form action='' method='POST'>";
		echo "<table border=0 width=55% id=table1>
		<tr class=miTable_tr><td class=miTable_th1>Campos Digitalizacion</td>
		<td class=miTable_th1>Campos $nombre</td></tr>
		<tr class=miTable_tr><td class=miTable_td>Guia</td>";
		echo "<td class=miTable_td>";
		echo "<center><SELECT name=campos_txt[] class=inputbox>";
	    //echo"<option value=NULL>NULL</option>";
        $campos=get_field($tabla_1);
 	    echo "</SELECT></center>";
		echo "</td></tr>";
		echo "<tr class=miTable_tr><td class=miTable_td>Path</td>";
		echo "<td class=miTable_td>";
		echo "<center><SELECT name=campos_txt[] class=inputbox>";
	    //echo"<option value=NULL>NULL</option>";
		$campos=get_field($tabla_1);
		echo "</SELECT></center>";
		echo"<input type=hidden value=$tabla_1 name=tabla_1><input type=hidden value=$cont_insert name=id_lote>";
		echo "</td></tr>";
		echo "<tr class=miTable_tr><td class=miTable_th1></td><td class=miTable_th1><input type=submit value=Cargar name=Cargar class=inputbox></td></tr>";
		echo "</table></form>";
		// para usar
		//actualizar_digitalizacion($campos, $nombre_tabla_tmp, $nit, $tmp, $lote, $tabla);
}//END FUNCION INSERTAR

}//END CLASE PRUEBA
// CREACION DEL OBJETO
$nuevoPruebaObj=new nuevoPrueba();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$nuevoPruebaObj->setPrueba($_POST['txt']);

// LAMANDO EL METODO DE NEGOCIO
$nuevoPruebaObj->validar();


?>